include(`../m4/cf.m4')
VERSIONID(`linux for smtp-only setup')dnl
OSTYPE(linux)

define(`PROCMAIL_MAILER_PATH', `/usr/bin/procmail')dnl
define(`MAILERTABLE', `/etc/mail/mailertable')dnl

define(`confEBINDIR', `/usr/sbin')dnl
define(`confMAX_MESSAGE_SIZE', `10485760')dnl
define(`confMCI_CACHE_SIZE', `10')dnl
define(`confMAX_DAEMON_CHILDREN', `8')dnl
define(`confMATCH_GECOS', `True')dnl
define(`confPRIVACY_FLAGS', `authwarnings,noexpn,novrfy,restrictmailq,restrictqrun')dnl
define(`QUEUE_DIR', `/var/spool/mqueue')dnl
define(`confDELAY_LA', `15')dnl
define(`confQUEUE_LA', `20')dnl
define(`confREFUSE_LA', `19')dnl
define(`confCON_EXPENSIVE', `True')dnl
define(`confMAX_QUEUE_RUN_SIZE', `500')dnl
define(`confSHARED_MEMORY_KEY', `1101101101')dnl
define(`confBAD_RCPT_THROTTLE', `2')dnl
define(`confCONNECTION_RATE_THROTTLE', `5')dnl
dnl# No timeout for ident:
define(`confTO_IDENT', `0')dnl

define(`ALIAS_FILE',`/etc/mail/aliases,socket:inet:8000@localhost')dnl

GENERICS_DOMAIN_FILE(`/etc/mail/generics-domains')dnl
MASQUERADE_DOMAIN_FILE(`/etc/mail/masquerade-domains')dnl

FEATURE(`use_cw_file')dnl
FEATURE(`nouucp', `reject')dnl
FEATURE(`always_add_domain')dnl
FEATURE(`virtusertable', `socket inet:8000@localhost')dnl
FEATURE(`genericstable', `socket inet:8000@localhost')dnl
FEATURE(`local_procmail')dnl
FEATURE(`relay_entire_domain')dnl
FEATURE(`mailertable', `socket inet:8000@localhost')dnl

FEATURE(`access_db', `socket -T<TMPF> inet:8000@localhost')dnl

FEATURE(`accept_unresolvable_domains')dnl

MAILER(local)dnl
MAILER(smtp)dnl
MAILER(procmail)dnl

define(`confCACERT_PATH', `/etc/mail/certs')dnl
define(`confCACERT', `/etc/mail/certs/cacert.pem')dnl
define(`confSERVER_CERT', `/etc/mail/certs/MYcert.pem')dnl
define(`confSERVER_KEY', `/etc/mail/certs/MYkey.pem')dnl
define(`confCLIENT_CERT', `/etc/mail/certs/MYcert.pem')dnl
define(`confCLIENT_KEY', `/etc/mail/certs/MYkey.pem')dnl
