#define _GNU_SOURCE

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char *netstring_decode(char *s, unsigned long total)
{
	long len;
	char *rest;
	unsigned long len_str_size;

	len_str_size = 0;
	while ((s[len_str_size] != '\0') && (s[len_str_size] != ':'))
		len_str_size++;
	if (s[len_str_size] == '\0')
		return NULL;

	len = strtol(s, &rest, 10);
	if (len < 0)
		return NULL;

	printf("TOTAL=%ld len + 1 + 1 + len_str_size = %ld.\n",
		total, len + 1 + 1 + len_str_size);
	if (total != len + 1 + 1 + len_str_size)
		return NULL;

	if (rest == NULL)
		return NULL;
	rest++;

	rest[len] = '\0';

	return rest;
}

char *netstring_encode(char *s)
{
	static char ret[40960];

	snprintf(ret, sizeof(ret), "%d:%s,",
		strlen(s), s);

	return ret;
}
